//***************************************************************
// Filename: 	BITDiff.c
//
// Brief:	This program compares to bitstreamfiles. 
//
// Author:	Fredrik Gravdal, 2007, NTNU
//***************************************************************
#include <stdio.h>
#include <stdlib.h>

int main(int numArgs, char* argc[]){

	printf("Sammenligner %s og %s \n",argc[1], argc[2]);

	int size1, size2, i, feil;
	unsigned int a,b;	


	FILE * inFile1;
	FILE * inFile2;

	inFile1 = fopen (argc[1] , "rb");
	inFile2 = fopen (argc[2] , "rb");

 	if (inFile1 == NULL){printf("Error opening %s\n", argc[1]); return 0;}
 	if (inFile2 == NULL){printf("Error opening %s\n", argc[2]); return 0;}
	
	//finds number of elements in each file
	fseek (inFile1, 0, SEEK_END);
    	size1=ftell (inFile1);
	rewind (inFile1);

	fseek (inFile2, 0, SEEK_END);
    	size2=ftell (inFile2);
	rewind (inFile2);
	
	feil =0;	

	if (size1 != size2){
		printf("Ulik størrelse\n");
		printf("%s = %d\n", argc[1], size1);
		printf("%s = %d\n", argc[2], size2);
		return 0;
	}
	else{
		for(i = 0; i < size1; i++){
			a = fgetc (inFile1);
			b = fgetc (inFile2);
			if(a != b){
				printf("at addr = %x\n",i);
				printf("%s: %x\n",argc[1],a);
				printf("%s: %x\n",argc[2],b);
				//return 0;
				feil++;		
				if(feil == 10){
					i =size1;
				}
			}
		}
		
	}
	if(feil == 0){
		printf("%s og %s er identiske\n",argc[1],argc[2]);
	}
	else{
		printf("Det er %d forskjeller\n",feil);	
	}
	fclose (inFile1);
	fclose (inFile2);
	return 0;
}
