//***************************************************************
// Filename: 	CLBRead.h
//
// Brief:	
// Author:	Fredrik Gravdal, 2007, NTNU
//***************************************************************
#define FLASH_START 0xFF000000
#define FPGA_START 0x80000   //fpga area
//#define FPGA_START 0x10000 //test area
#define CLB_START 0x263A

//one CLB matrix
typedef struct{
	unsigned int iCLB [19*2];
}clb;

unsigned int endian(unsigned int c);
clb read_clb_file(FILE * clbFile, unsigned int row, unsigned int col);
int read_file(int startCol, int startRow, int endCol, int endRow, char* outPutFile, char* inPutFile);
clb read_clb_flash(unsigned int row, unsigned int col);
int read_flash(int startCol, int startRow, int endCol, int endRow, char* outPutFile);
int main(int numArgs, char* argc[]);
