//***************************************************************
// Filename: 	CLBWrite.h
//
// Brief:	
// Author:	Fredrik Gravdal, 2007, NTNU
//***************************************************************
#define FLASH_START 0xFF000000
#define FPGA_START 0x00080000	//fpga area
//#define FPGA_START 0x00010000 //test area
#define CLB_START 0x263A
#define FLASH_SECTOR_SIZE 0x10000

typedef struct{
	unsigned long iCLB [19*2];
}clb;

void flash_program(unsigned long addr, unsigned short val);
void flash_sector_erase(int sectorAddr);
void copy_sector_to_buf(unsigned short* buf, unsigned int secStartAddr);
void copy_buf_to_sector(unsigned short* buf, unsigned int secStartAddr);
void update_flash(unsigned short* buf, unsigned int addr, unsigned int data, int finish);
void dump_sector_buf_to_file(unsigned short* buf);
unsigned int endian(unsigned int c);
int main(int numArgs, char* argc[]);
