//***************************************************************
// Filename: 	FlashRead.c
//
// Brief:	This program writes a bitstreamfile to flash.
//
// Author:	Fredrik Gravdal, 2007, NTNU
//***************************************************************
#define FLASH_START 0xFF000000
#define FLASH_SECTOR_SIZE 0x10000
#define FPGA_START 0x80000	//fpga area
//#define FPGA_START 0x00010000 //test area

void flash_program(unsigned long addr, unsigned short val);
void flash_sector_erase(int sectorAddr);
void readFPGAPart(int start, int end, char* fileToStore);
void writeFPGAPart (int start, char* fileToWrite);
int main(int numArgs, char* argc[]);

